org.apache.poi.openxml4j.opc

## Interface PackageProperties

- All Known Implementing Classes:
    PackagePropertiesPart

      public interface PackageProperties

  Represents the core properties of an OPC package.
  Version:
    1.0
  Author:
    Julien Chable
  See Also:
    `OPCPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAMESPACE_DC` Dublin Core namespace URI.
    `static java.lang.String` | `NAMESPACE_DCTERMS` Dublin Core Terms URI.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Optional<java.lang.String>` | `getCategoryProperty()` Set the category of the content of this package.
    `java.util.Optional<java.lang.String>` | `getContentStatusProperty()` Set the status of the content.
    `java.util.Optional<java.lang.String>` | `getContentTypeProperty()` Get the type of content represented, generally defined by a specific use and intended audience.
    `java.util.Optional<java.util.Date>` | `getCreatedProperty()` Get the date of creation of the resource.
    `java.util.Optional<java.lang.String>` | `getCreatorProperty()` Get the entity primarily responsible for making the content of the resource.
    `java.util.Optional<java.lang.String>` | `getDescriptionProperty()` Get the explanation of the content of the resource.
    `java.util.Optional<java.lang.String>` | `getIdentifierProperty()` Get an unambiguous reference to the resource within a given context.
    `java.util.Optional<java.lang.String>` | `getKeywordsProperty()` Get a delimited set of keywords to support searching and indexing.
    `java.util.Optional<java.lang.String>` | `getLanguageProperty()` Get the language of the intellectual content of the resource.
    `java.util.Optional<java.lang.String>` | `getLastModifiedByProperty()` Get the user who performed the last modification.
    `java.util.Optional<java.util.Date>` | `getLastPrintedProperty()` Get the date and time of the last printing.
    `java.util.Optional<java.util.Date>` | `getModifiedProperty()` Get the date on which the resource was changed.
    `java.util.Optional<java.lang.String>` | `getRevisionProperty()` Get the revision number.
    `java.util.Optional<java.lang.String>` | `getSubjectProperty()` Get the topic of the content of the resource.
    `java.util.Optional<java.lang.String>` | `getTitleProperty()` Get the name given to the resource.
    `java.util.Optional<java.lang.String>` | `getVersionProperty()` Get the version number.
    `void` | `setCategoryProperty(java.util.Optional<java.lang.String> category)` Set the category of the content of this package.
    `void` | `setCategoryProperty(java.lang.String category)` Set the category of the content of this package.
    `void` | `setContentStatusProperty(java.util.Optional<java.lang.String> contentStatus)` Get the status of the content.
    `void` | `setContentStatusProperty(java.lang.String contentStatus)` Get the status of the content.
    `void` | `setContentTypeProperty(java.util.Optional<java.lang.String> contentType)` Set the type of content represented, generally defined by a specific use and intended audience.
    `void` | `setContentTypeProperty(java.lang.String contentType)` Set the type of content represented, generally defined by a specific use and intended audience.
    `void` | `setCreatedProperty(java.util.Optional<java.util.Date> created)` Set the date of creation of the resource.
    `void` | `setCreatedProperty(java.lang.String created)` Set the date of creation of the resource.
    `void` | `setCreatorProperty(java.util.Optional<java.lang.String> creator)` Set the entity primarily responsible for making the content of the resource.
    `void` | `setCreatorProperty(java.lang.String creator)` Set the entity primarily responsible for making the content of the resource.
    `void` | `setDescriptionProperty(java.util.Optional<java.lang.String> description)` Set the explanation of the content of the resource.
    `void` | `setDescriptionProperty(java.lang.String description)` Set the explanation of the content of the resource.
    `void` | `setIdentifierProperty(java.util.Optional<java.lang.String> identifier)` Set an unambiguous reference to the resource within a given context.
    `void` | `setIdentifierProperty(java.lang.String identifier)` Set an unambiguous reference to the resource within a given context.
    `void` | `setKeywordsProperty(java.util.Optional<java.lang.String> keywords)` Set a delimited set of keywords to support searching and indexing.
    `void` | `setKeywordsProperty(java.lang.String keywords)` Set a delimited set of keywords to support searching and indexing.
    `void` | `setLanguageProperty(java.util.Optional<java.lang.String> language)` Set the language of the intellectual content of the resource.
    `void` | `setLanguageProperty(java.lang.String language)` Set the language of the intellectual content of the resource.
    `void` | `setLastModifiedByProperty(java.util.Optional<java.lang.String> lastModifiedBy)` Set the user who performed the last modification.
    `void` | `setLastModifiedByProperty(java.lang.String lastModifiedBy)` Set the user who performed the last modification.
    `void` | `setLastPrintedProperty(java.util.Optional<java.util.Date> lastPrinted)` Set the date and time of the last printing.
    `void` | `setLastPrintedProperty(java.lang.String lastPrinted)` Set the date and time of the last printing.
    `void` | `setModifiedProperty(java.util.Optional<java.util.Date> modified)` Set the date on which the resource was changed.
    `void` | `setModifiedProperty(java.lang.String modified)` Set the date on which the resource was changed.
    `void` | `setRevisionProperty(java.util.Optional<java.lang.String> revision)` Set the revision number.
    `void` | `setRevisionProperty(java.lang.String revision)` Set the revision number.
    `void` | `setSubjectProperty(java.util.Optional<java.lang.String> subject)` Set the topic of the content of the resource.
    `void` | `setSubjectProperty(java.lang.String subject)` Set the topic of the content of the resource.
    `void` | `setTitleProperty(java.util.Optional<java.lang.String> title)` Set the name given to the resource.
    `void` | `setTitleProperty(java.lang.String title)` Set the name given to the resource.
    `void` | `setVersionProperty(java.util.Optional<java.lang.String> version)` Set the version number.
    `void` | `setVersionProperty(java.lang.String version)` Set the version number.

- - ### Field Detail

    - #### NAMESPACE_DCTERMS

          static final java.lang.String NAMESPACE_DCTERMS

      Dublin Core Terms URI.
      See Also:
        Constant Field Values

    - #### NAMESPACE_DC

          static final java.lang.String NAMESPACE_DC

      Dublin Core namespace URI.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCategoryProperty

          java.util.Optional<java.lang.String> getCategoryProperty()

      Set the category of the content of this package.
      Returns:
        property value

    - #### setCategoryProperty

          void setCategoryProperty(java.lang.String category)

      Set the category of the content of this package.

    - #### setCategoryProperty

          void setCategoryProperty(java.util.Optional<java.lang.String> category)

      Set the category of the content of this package.
      Since:
        4.0.0

    - #### getContentStatusProperty

          java.util.Optional<java.lang.String> getContentStatusProperty()

      Set the status of the content.
      Returns:
        property value

    - #### setContentStatusProperty

          void setContentStatusProperty(java.lang.String contentStatus)

      Get the status of the content.

    - #### setContentStatusProperty

          void setContentStatusProperty(java.util.Optional<java.lang.String> contentStatus)

      Get the status of the content.
      Since:
        4.0.0

    - #### getContentTypeProperty

          java.util.Optional<java.lang.String> getContentTypeProperty()

      Get the type of content represented, generally defined by a specific use and intended audience.
      Returns:
        property value

    - #### setContentTypeProperty

          void setContentTypeProperty(java.lang.String contentType)

      Set the type of content represented, generally defined by a specific use and intended audience.

    - #### setContentTypeProperty

          void setContentTypeProperty(java.util.Optional<java.lang.String> contentType)

      Set the type of content represented, generally defined by a specific use and intended audience.
      Since:
        4.0.0

    - #### getCreatedProperty

          java.util.Optional<java.util.Date> getCreatedProperty()

      Get the date of creation of the resource.
      Returns:
        property value

    - #### setCreatedProperty

          void setCreatedProperty(java.lang.String created)

      Set the date of creation of the resource.

    - #### setCreatedProperty

          void setCreatedProperty(java.util.Optional<java.util.Date> created)

      Set the date of creation of the resource.

    - #### getCreatorProperty

          java.util.Optional<java.lang.String> getCreatorProperty()

      Get the entity primarily responsible for making the content of the resource.
      Returns:
        property value

    - #### setCreatorProperty

          void setCreatorProperty(java.lang.String creator)

      Set the entity primarily responsible for making the content of the resource.

    - #### setCreatorProperty

          void setCreatorProperty(java.util.Optional<java.lang.String> creator)

      Set the entity primarily responsible for making the content of the resource.
      Since:
        4.0.0

    - #### getDescriptionProperty

          java.util.Optional<java.lang.String> getDescriptionProperty()

      Get the explanation of the content of the resource.

    - #### setDescriptionProperty

          void setDescriptionProperty(java.lang.String description)

      Set the explanation of the content of the resource.

    - #### setDescriptionProperty

          void setDescriptionProperty(java.util.Optional<java.lang.String> description)

      Set the explanation of the content of the resource.
      Since:
        4.0.0

    - #### getIdentifierProperty

          java.util.Optional<java.lang.String> getIdentifierProperty()

      Get an unambiguous reference to the resource within a given context.
      Returns:
        property value

    - #### setIdentifierProperty

          void setIdentifierProperty(java.lang.String identifier)

      Set an unambiguous reference to the resource within a given context.

    - #### setIdentifierProperty

          void setIdentifierProperty(java.util.Optional<java.lang.String> identifier)

      Set an unambiguous reference to the resource within a given context.
      Since:
        4.0.0

    - #### getKeywordsProperty

          java.util.Optional<java.lang.String> getKeywordsProperty()

      Get a delimited set of keywords to support searching and indexing. This is typically a list of terms that are not available elsewhere in the properties
      Returns:
        property value

    - #### setKeywordsProperty

          void setKeywordsProperty(java.lang.String keywords)

      Set a delimited set of keywords to support searching and indexing. This is typically a list of terms that are not available elsewhere in the properties

    - #### setKeywordsProperty

          void setKeywordsProperty(java.util.Optional<java.lang.String> keywords)

      Set a delimited set of keywords to support searching and indexing. This is typically a list of terms that are not available elsewhere in the properties
      Since:
        4.0.0

    - #### getLanguageProperty

          java.util.Optional<java.lang.String> getLanguageProperty()

      Get the language of the intellectual content of the resource.
      Returns:
        property value

    - #### setLanguageProperty

          void setLanguageProperty(java.lang.String language)

      Set the language of the intellectual content of the resource.

    - #### setLanguageProperty

          void setLanguageProperty(java.util.Optional<java.lang.String> language)

      Set the language of the intellectual content of the resource.
      Since:
        4.0.0

    - #### getLastModifiedByProperty

          java.util.Optional<java.lang.String> getLastModifiedByProperty()

      Get the user who performed the last modification.

    - #### setLastModifiedByProperty

          void setLastModifiedByProperty(java.lang.String lastModifiedBy)

      Set the user who performed the last modification.

    - #### setLastModifiedByProperty

          void setLastModifiedByProperty(java.util.Optional<java.lang.String> lastModifiedBy)

      Set the user who performed the last modification.
      Since:
        4.0.0

    - #### getLastPrintedProperty

          java.util.Optional<java.util.Date> getLastPrintedProperty()

      Get the date and time of the last printing.
      Returns:
        property value

    - #### setLastPrintedProperty

          void setLastPrintedProperty(java.lang.String lastPrinted)

      Set the date and time of the last printing.

    - #### setLastPrintedProperty

          void setLastPrintedProperty(java.util.Optional<java.util.Date> lastPrinted)

      Set the date and time of the last printing.

    - #### getModifiedProperty

          java.util.Optional<java.util.Date> getModifiedProperty()

      Get the date on which the resource was changed.
      Returns:
        property value

    - #### setModifiedProperty

          void setModifiedProperty(java.lang.String modified)

      Set the date on which the resource was changed.

    - #### setModifiedProperty

          void setModifiedProperty(java.util.Optional<java.util.Date> modified)

      Set the date on which the resource was changed.

    - #### getRevisionProperty

          java.util.Optional<java.lang.String> getRevisionProperty()

      Get the revision number.
      Returns:
        property value

    - #### setRevisionProperty

          void setRevisionProperty(java.lang.String revision)

      Set the revision number.

    - #### setRevisionProperty

          void setRevisionProperty(java.util.Optional<java.lang.String> revision)

      Set the revision number.
      Since:
        4.0.0

    - #### getSubjectProperty

          java.util.Optional<java.lang.String> getSubjectProperty()

      Get the topic of the content of the resource.
      Returns:
        property value

    - #### setSubjectProperty

          void setSubjectProperty(java.lang.String subject)

      Set the topic of the content of the resource.

    - #### setSubjectProperty

          void setSubjectProperty(java.util.Optional<java.lang.String> subject)

      Set the topic of the content of the resource.
      Since:
        4.0.0

    - #### getTitleProperty

          java.util.Optional<java.lang.String> getTitleProperty()

      Get the name given to the resource.
      Returns:
        property value

    - #### setTitleProperty

          void setTitleProperty(java.lang.String title)

      Set the name given to the resource.

    - #### setTitleProperty

          void setTitleProperty(java.util.Optional<java.lang.String> title)

      Set the name given to the resource.
      Since:
        4.0.0

    - #### getVersionProperty

          java.util.Optional<java.lang.String> getVersionProperty()

      Get the version number.
      Returns:
        property value

    - #### setVersionProperty

          void setVersionProperty(java.lang.String version)

      Set the version number.

    - #### setVersionProperty

          void setVersionProperty(java.util.Optional<java.lang.String> version)

      Set the version number.
      Since:
        4.0.0

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.